"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getReporter = void 0;
const _1 = require("./");
const path_1 = __importDefault(require("path"));
const reporters = {
    default: _1.defaultReporter,
    quiet: _1.quietReporter,
    markdown: _1.markdownReporter,
};
const getReporter = (reporterName = 'default', { cwd }) => {
    if (reporterName in reporters) {
        return reporters[reporterName];
    }
    else {
        const reporterPath = path_1.default.isAbsolute(reporterName)
            ? reporterName
            : path_1.default.resolve(cwd, reporterName);
        return require(reporterPath);
    }
};
exports.getReporter = getReporter;
