"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.markdownReporter = void 0;
const chalk_1 = require("chalk");
const createMarkdownReport_1 = require("./createMarkdownReport");
const markdownReporter = (migration) => {
    const { events } = migration;
    events.on('migration-after-run', ({ migration, options: { dry } }) => {
        if (dry) {
            console.log();
            console.log(chalk_1.bold('dry-run mode, no files will be modified'));
        }
        console.log();
        console.log(createMarkdownReport_1.createMarkdownReport(migration));
    });
    events.on('migration-before-prompt', () => {
        // space the prompt
        console.log();
    });
    events.on('migration-after-prompt-aborted', () => {
        console.log();
        console.log(chalk_1.red('Migration aborted'));
    });
};
exports.markdownReporter = markdownReporter;
