"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeReportFile = void 0;
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const createMarkdownReport_1 = require("./createMarkdownReport");
const chalk_1 = require("chalk");
const writeReportFile = (migration, reportFile) => {
    const absoluteReportFile = path_1.default.isAbsolute(reportFile)
        ? reportFile
        : path_1.default.join(process.cwd(), reportFile);
    fs_extra_1.default.outputFileSync(absoluteReportFile, createMarkdownReport_1.createMarkdownReport(migration));
    console.log();
    console.log(`Markdown report was written to ${chalk_1.magenta(absoluteReportFile)}`);
};
exports.writeReportFile = writeReportFile;
