declare type RunMigration = ({ cwd, migrationFilePath, dry, yes, reportFile, }: {
    cwd: string;
    migrationFilePath: string;
    dry: boolean;
    yes: boolean;
    reportFile: string | undefined;
    reporter: string | undefined;
}) => Promise<void>;
/**
 *
 * @param options.cwd The directory of the project which the migration runs on
 * @param options.migrationFilePath path to the migration file
 * @param options.dry Dry run mode
 * @param options.yes Do not prompt the user with confirmation
 * Run a migration
 * @param options.reporter Use a custom reporter ("default"/"quiet"/"markdown")
 * @param options.reportFile Create a markdown report and output it to a file
 *
 */
export declare const runMigration: RunMigration;
export {};
